Bug 243228 - binary in /sbin links with libs in /usr/lib
Summary: binary in /sbin links with libs in /usr/lib
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cryptsetup-luks   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
high
low
Target Milestone: ---
Assignee: Till Maas
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 249814 249815 249816
Blocks: F8Target
TreeView+ depends on / blocked
 
Reported: 2007-06-08 02:11 UTC by Jeremy Katz
Modified: 2007-11-30 22:12 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-24 10:54:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 129926 None None None Never

Description Jeremy Katz 2007-06-08 02:11:47 UTC
This will break things using /etc/crypttab and a separate /usr

Comment 1 Till Maas 2007-07-26 17:46:44 UTC
Cryptsetup-luks in Fedora 7 and before were build statically, this changed with
1.0.3-5 in rawhide. I do not know why this changed, but I guess we should either
put the following libraries into /lib
        libpopt.so.0 => /usr/lib/libpopt.so.0 (0x0012e000)
        libcryptsetup.so.0 => /usr/lib/libcryptsetup.so.0 (0x00136000)
        libgcrypt.so.11 => /usr/lib/libgcrypt.so.11 (0x001b5000)
        libgpg-error.so.0 => /usr/lib/libgpg-error.so.0 (0x47d8f000)
or go back to building it statically.

This not only breaks existing installations, but also blocks Bug #124789
(encrypted root support).

There was also a bug report for cryptsetup to build it statically: #129926,
which was closed a long time ago.




Comment 2 Till Maas 2007-07-26 22:55:36 UTC
I commited the necessary changes to cvs to build it statically again, there is a
scratch build available:
http://koji.fedoraproject.org/koji/taskinfo?taskID=78776

Comment 3 Jeremy Katz 2007-07-26 23:42:32 UTC
Static linking isn't the right answer, though, and is explicitly disallowed per
the packaging guidelines.  The fact that it's needed in early boot isn't a
reason to link it statically; instead, it's a reason to get libraries moved to /lib.

Comment 4 Till Maas 2007-07-27 08:52:21 UTC
(In reply to comment #3)
> Static linking isn't the right answer, though, and is explicitly disallowed per
> the packaging guidelines.  The fact that it's needed in early boot isn't a
> reason to link it statically; instead, it's a reason to get libraries moved to 
> /lib.

I have commited to cvs a change that moves the cryptsetup libraries to /lib.
Here is a list of the packages that need to move their libraries to /lib:

/usr/lib/libgcrypt.so.11 -> libgcrypt
/usr/lib/libpopt.so.0 -> popt (rpm)
/usr/lib/libgpg-error.so.0 -> libgpg-error

Comment 5 Till Maas 2007-07-27 14:23:37 UTC
cryptsetup-luks-1_0_5-2_fc8 is built dynamically and puts libcryptsetup into
/lib, too.

Comment 6 Robert Scheck 2007-08-23 23:12:54 UTC
popt-1.12-3 will provide the files /lib/libpopt.so.0 and /lib/libpopt.so.0.0.0 
once it reached Rawhide.

Comment 7 Till Maas 2007-08-24 10:54:31 UTC
All "depends on" bugs are closed, so this can be closed, too.


Note You need to log in before you can comment on or make changes to this bug.